<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Modules|Module Search">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="You can use keyword tags to define a keyword expression. " /><title>Keyword Tags</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#06-modules/keyword-tags.html">Open topic with navigation</a>
        </p>
        <h2>Keyword Tags</h2>
        <p>You can use <a name="kanchor44"></a>keyword tags to define a keyword expression. A keyword tag is a keyword that helps you efficiently search for a module. If you want to search for a module that has a specific author, you can use the CVE tag to search for modules written by them. For example, if you know the CVE ID of the exploit you want to use is 2008-4250, you can search for CVE:2008-4250. This search returns an exploit for the ms08-067 vulnerability. </p>
        <p>The following table lists the keyword tags: </p>
        <ul>
            <li value="1"><b>app</b> - Searches for modules that are either a client or server attack.</li>
        </ul>
        <p class="NoBulletListIndent">Example: app:client</p>
        <ul>
            <li value="1"><b>author</b> - Searches for modules by author. </li>
        </ul>
        <p class="NoBulletListIndent">Example: author:hdm</p>
        <ul>
            <li value="1"><b>bid</b> - Searches for modules by Bugtraq ID.</li>
        </ul>
        <p class="NoBulletListIndent">Example: bid:10078</p>
        <ul>
            <li value="1"><b>cve</b> - Searches for modules by CVE ID.</li>
        </ul>
        <p class="NoBulletListIndent">Example: cve:2009</p>
        <ul>
            <li value="1"><b>name</b> - Searches for the keyword expression within the module descriptive name.</li>
        </ul>
        <p class="NoBulletListIndent">Example: name:Java</p>
        <ul>
            <li value="1"><b>osvdb</b> - Searches for modules by OSVDB ID.</li>
        </ul>
        <p class="NoBulletListIndent">Example: osvdb:875</p>
        <ul>
            <li value="1"><b>platform</b> - Searches for the modules that affect the platform or target that you define in the keyword expression.</li>
        </ul>
        <p class="NoBulletListIndent">Example: platform:linux </p>
        <ul>
            <li value="1"><b>path</b> - Searches for the keyword expression within module path name.</li>
        </ul>
        <p class="NoBulletListIndent">Example: path:windows/smb</p>
        <ul>
            <li value="1"><b>type</b> - Searches for the modules that belong to the module type that you define in the keyword expression. For example, use exploit, auxiliary, or post.</li>
        </ul>
        <p class="NoBulletListIndent">Example: type:exploit</p>
    </body>
</html>